com.aliyun.svideosdk

## Enum AlivcSdkCore.AlivcLogLevel

- java.lang.Object
- - java.lang.Enum<AlivcSdkCore.AlivcLogLevel>
  - - com.aliyun.svideosdk.AlivcSdkCore.AlivcLogLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AlivcSdkCore.AlivcLogLevel>
  Enclosing class:
    AlivcSdkCore

      public static enum AlivcSdkCore.AlivcLogLevel
      extends java.lang.Enum<AlivcSdkCore.AlivcLogLevel>

  SDK log output level define

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AlivcLogClose` log close
    `AlivcLogDebug` level debug
    `AlivcLogError` level error
    `AlivcLogFatal` level fatal
    `AlivcLogInfo` level info
    `AlivcLogVerbose` level verbose
    `AlivcLogWarn` level warn

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static AlivcSdkCore.AlivcLogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AlivcSdkCore.AlivcLogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AlivcLogClose

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogClose

      log close

    - #### AlivcLogVerbose

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogVerbose

      level verbose

    - #### AlivcLogDebug

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogDebug

      level debug

    - #### AlivcLogInfo

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogInfo

      level info

    - #### AlivcLogWarn

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogWarn

      level warn

    - #### AlivcLogError

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogError

      level error

    - #### AlivcLogFatal

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogFatal

      level fatal

  - ### Method Detail

    - #### values

          public static AlivcSdkCore.AlivcLogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlivcSdkCore.AlivcLogLevel c : AlivcSdkCore.AlivcLogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlivcSdkCore.AlivcLogLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()